%define module_name Plate
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(Devel/Cover.pm) perl(Devel/Cover/DB.pm) perl(Module/Build/Tiny.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.7
Release: alt1
Summary: Fast templating engine with support for embedded Perl
Group: Development/Perl
License: perl
URL: https://github.com/vlyon/Plate

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/V/VL/VLYON/%{module_name}-%{version}.tar.gz

%description
Plate is a very fast, efficient and full-featured templating engine.

Inspired by the HTML::Mason manpage and the Tenjin manpage, the goal of this templating engine is speed and functionality.
It has no non-core dependencies, is a compact size and supports embedded Perl.

Features include preprocessing templates,
caching compiled templates,
variable escaping/filtering,
localised global variables.
Templates can also include other templates, with optional content
and even define or override templates locally.

All templates have strict, warnings, utf8 and Perl 5.20 features enabled.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_archlib/P*
%perl_vendor_autolib/*

%changelog
* Mon Apr 07 2025 Igor Vlasenko <viy@altlinux.org> 1.7-alt1
- updated by package builder

* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 1.5-alt2
- rebuild with perl 5.38

* Wed Dec 14 2022 Igor Vlasenko <viy@altlinux.org> 1.5-alt1
- updated by package builder

* Fri Aug 13 2021 Igor Vlasenko <viy@altlinux.ru> 1.4-alt1
- initial import by package builder

